%define  patch_name kernel-feat-core-lowlatency

Name: %{patch_name}
Version: 2005.07.01
Release: alt1
Summary: %patch_name kernel patch - low latency patch
License: GPL
Group: Development/Other
BuildArch: noarch

# Kernel 2.4 patches (-ck and -lowlatency)
%source 1 2.4_01_2.4.28-low-latency.patch 		2.4
%source 1 2.4_01_2.4.29_o1_preempt_sched.patch		2.4/not_kernel-feat-core-win4lin
%source 2 2.4_02-readlatency2.patch			2.4/not_kernel-feat-drivers-pktcdvd
%source 3 2.4_03-rl2dt.patch				2.4/not_kernel-feat-drivers-pktcdvd
%source 4 2.4_04-j64.patch		 		2.4/not_kernel-feat-drivers-pktcdvd
%source 5 2.4_05-vhz.patch		 		2.4/not_kernel-feat-drivers-pktcdvd

# Kernel 2.6 patches (-ck3)
%source 11 2.6_01-sched-run_normal_with_rt_on_sibling.patch	2.6
%source 12 2.6_02-2.6.12_to_staircase11.3.patch	2.6
%source 13 2.6_03-schedrange.patch	2.6
%source 14 2.6_04-schedbatch2.8.patch	2.6
%source 15 2.6_05-schediso2.12.patch	2.6
%source 16 2.6_06-smp-nice-support6.patch	2.6
%source 17 2.6_07-mapped_watermark3.patch	2.6
%source 18 2.6_08-1g_lowmem1_i386.patch	2.6
%source 19 2.6_09-cfq-2.6.12-mm1.patch	2.6
%source 20 2.6_10-defaultcfq.patch	2.6
%source 21 2.6_11-isobatch_ionice2.patch	2.6
%source 22 2.6_12-rt_ionice.patch	2.6
%source 23 2.6_13-sched-fix_up_build.patch	2.6
%source 24 2.6_14-cfq-ts-2.patch	2.6
%source 25 2.6_15-cfq-ts-4.patch	2.6

#fixes
%source 98 2.6_98_no_swsusp2_apply.patch		2.6/not_kernel-feat-swsusp
%source 99 2.6_99_swsusp2_apply.patch			2.6/kernel-feat-swsusp

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.6-alt1

%description
Low latency and perfomance kernel patches (based on Con Kolivas and Andrew
Morton patches).

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Thu Jul 14 2005 LAKostis <lakostis at altlinux.ru> 2005.07.01-alt1
- updated to -ck3 for 2.6.12.
- remove obsoleted patches.
- adopted patch not to conflict with swsusp patch.

* Sun May 28 2005 LAKostis <lakostis at altlinux.ru> 2005.05.28-alt1
- updated to -ck9 for 2.6.11.

* Mon May 23 2005 LAKostis <lakostis at altlinux.ru> 2005.05.15-alt1
- updated to -ck8 for 2.6.11.
- remove Win4Lin stub patches.

* Sat Apr 02 2005 LAKostis <lakostis at altlinux.ru> 2005.03.19-alt1.1
- fix for proper SCHED_ISO priority change.
- update patches not to conflict with reiser4 without win4lin.

* Sun Mar 20 2005 LAKostis <lakostis at altlinux.ru> 2005.03.19-alt1
- updated to -ck2 for 2.6.11.
- Add patch for custom mousepoll interval in hidcore.
- adopted patch not to conflict with Win4Lin patch.

* Sat Mar 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.18-alt2.1
- Removed:
  - 2.6_99_fix_kthread_typo.patch - it should be in swsusp patches.
  
* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.18-alt2
- update 2.4 patchset for 2.4.29 kernel
- Removed:
  - 2.4_01_2.4.27_o1_preempt_sched.patch
- Added:
  + 2.4_01_2.4.29_o1_preempt_sched.patch

* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.18-alt1
- update 2.6 patchset to -ck5
- Removed:
  - 2.6_11_inc_total_scanned.patch 
  
* Thu Jan 27 2005 Alex Yustasov <yust@altlinux.ru> 2004.12.31-alt1.4
- fixed 2.6_98_sched-fix-scheduling-latencies-in-mttrc.patch

* Wed Jan 12 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.3
- Added:
  + 2.6_98_sched-fix-scheduling-latencies-in-mttrc.patch - fix for swsusp
  
* Mon Jan 03 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.2
- update 2.4 patches for 2.4.28 kernel.

* Fri Dec 31 2004 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.1
- remove unwanted patches for 2.6.

* Fri Dec 31 2004 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1
- update to -ck1 for 2.6.10 + ckdev additions.
- update for 2.4.28.

* Sat Dec 11 2004 LAKostis <lakostis at altlinux.ru> 2004.12.11-alt1
- sync 2.6 patches with -ck3 tree.

* Sat Nov 10 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt3.2
- add O1 sched + preemptiple as separate patch conflicting with Win4Lin.
- strict patch list for pktcdvd.

* Sat Oct 23 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt3.1
- Marked 2.4_02-readlatency2.patch and 2.4_03-rl2dt.patch 
  as conflicting with pktcdvd patch.
- update 2.6 patches to -ck2 tree.
 
* Thu Oct 19 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt3
- Revert akpm lowlatency patch for 2.4.

* Tue Sep 16 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt2.1
- Removed:
  - 2.6_23_sc_mw.patch - reversed patch. 

* Tue Sep 16 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt2
- Sync 2.6 patches with -ck7 tree 

* Wed Sep 15 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt1
- Updated patches for 2.6.8 kernel
- Updated 2.4 patches to 2.4.27 version

* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated patch version to 2.6.6 kernel

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.10-alt1
- Fixed package version (adapted to policy)

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt2
- Fixed kernel version labels

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt1
- Updated patch for 2.4 kenrel series to 2.4.25 version
- Added patches for 2.6.5 kenrel series

* Tue Nov 11 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt2
- Some patch adaptation

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt1
- Updated to 2.4.22 kernel patch

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt2
- Adapted to kernel-feat-fs-xfs patch

* Mon Jul 07 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt1
- Update to patch release for 2.4.21

* Thu May 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt0.1
- adapted to kernel policy 
